Bug 809913 - can't open global address book
can't open global address book
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 12:28 EDT by Peter Robinson
Modified: 2013-07-31 23:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:41:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-04-04 12:28:22 EDT
It gives the following error:

Unable to open address book.
This address book cannot be opened.  This either means that an incorrect URI was entered, or the server is unreachable.

Detailed error message: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._ews_2dconnection_2derror_2dquark.Code287: No response: Resource Not Found

My Personal exchange Address book opens fine.

Versions:

evolution-3.4.0.1-1.fc17.x86_64
evolution-data-server-3.4.0-1.fc17.x86_64
evolution-ews-3.4.0-1.fc17.x86_64
evolution-help-3.4.0.1-1.fc17.noarch
evolution-mapi-3.3.91-1.fc17.x86_64
evolution-NetworkManager-3.4.0.1-1.fc17.x86_64
Comment 1 Milan Crha 2012-04-05 03:35:20 EDT
Thanks for a bug report. Which one is this about, the EWS GAL or the MAPI GAL? If it's the EWS, then what does happen if you go to Edit->Preferecens->Mail Account-><ews account>->Edit->Receiving options tab, and you click "Fetch URL", will the OAB URL change in the dialog?
Comment 2 Peter Robinson 2012-04-05 03:39:30 EDT
It's EWS unfortunately, I would prefer to use MAPI but it doesn't work out of the office due to no HTTP proxy support as yet.

When I ask it to fetch the URL it fills in the fields, standard mail/contacts work although there doesn't appear to be a calendar, not sure if it's related or not.
Comment 3 Milan Crha 2012-04-05 04:48:10 EDT
EWS' GAL is independent from the other stuff, it is downloaded as the Offline Address Book (OAB), and then users can search it it (currently only search, and only by email, which is sufficient for usual lookups when writing an email, but otherwise...). Anyway, I would try this:
a) disable ews account
b) stop evolution and all its factories (basically: ps ax | grep evolution)
c) remove all ~/.cache/evolution/addressbook/ews* fodlers
d) run addressbook factory with ews debugging, like this:
   $ EWS_DEBUG=2 /usr/libexec/evolution-addressbook-factory -w
e) run evolution
f) go to preferences, of the ews account, and fetch URL again (just in case)
g) click OK and enable ews account
h) wait till the initial fetch of folders is done
i) then switch to contacts and select the GAL
j) change search typo to "Email begins with" and search for something
k) check output on the addressbook factory terminal, especially if you still
   get an error

On the other hand, maybe this is related to bug #807911
Comment 4 Peter Robinson 2012-04-12 19:56:44 EDT
Sorry, I've been away, I'll review and retest soon.
Comment 5 Peter Weber 2012-06-21 09:18:04 EDT
Will we see, in a future release, the address-book "itself"?
Comment 6 Milan Crha 2012-06-22 10:52:33 EDT
(In reply to comment #5)
> Will we see, in a future release, the address-book "itself"?

I'm not sure what you mean, I'm sorry. For example, if I have entered "OAB URL" (which was autocompleted by "Fetch URL" button), then I see global address list entries, when searching with "Email contains" (or composing email). With Exchange 2010 servers I can also fetch GAL for offline usage (this feature (on the Receiving Options tab) didn't work for me with my Exchange 2007 server.
Comment 7 Artur Flinta 2012-09-26 10:06:55 EDT
Seems I have similar issue, but instead of GDBus erros I have info that Authentication is Required (but no prompt for password or reuse of existing one from EWS account). If I paste OAB url into web browser then I can view whole XML file (after authentication via webmail). 
I've tried to start also EWS_DEBUG=2 /usr/libexec/evolution-addressbook-factory -w, but nothing intrested in output:


[aflinta@0708NOT01371 addressbook]$ EWS_DEBUG=2 /usr/libexec/evolution-addressbook-factory -w
EDataFactory is now online.
Registering EBookBackendGoogleFactory ('google')
Registering EBookBackendLDAPFactory ('ldap')
Registering EBookBackendEwsFactory ('ews')
Registering EBookBackendMapiContactsFactory ('mapi')
Registering EBookBackendMapiGalFactory ('mapigal')
Registering EBookBackendVCFFactory ('vcf')
Registering EBookBackendFileFactory ('local')
Registering EBookBackendWebdavFactory ('webdav')
Server is up and running...
Bus name 'org.gnome.evolution.dataserver.AddressBook3' acquired.
Comment 8 Fedora End Of Life 2013-07-03 20:12:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:41:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.